Update a saved search

Use this endpoint to update a saved search.

Important - When a saved search is updated the filters must be specific enough so that the initial matches do not exceed 100 listings (the default, which may be configured per account) otherwise a 406 (not accepted) response will be received.

Validation rules - the same rules as POST /searches apply, and min/max range checks are evaluated against the stored values as well as the supplied ones. For example, sending only a minPrice that is greater than the stored maxPrice returns a 400 error. Supplied areas, cities and map values are combined with the stored search; a search cannot be updated so that it ends up with neither a map nor both areas and cities, unless it has locationIds.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required
Body Params
int32

The clientId of the client that the search is for. This client will receive notifications from the agent that's assigned to them when listings that match the saved search criteria are listed.

string
length ≤ 50

You can specify a name for the saved search. This is useful in cases where users have multiple saved searches, to help them distinguish between saved searches. Maximum 50 characters.

amenities
array of strings
amenities
areas
array of strings

An array of areas to be used as a filter for this search. Required, together with cities, if neither map nor locationIds is provided.

areas
basement
array of strings

If specified, matches only listings whose basement description match all of the supplied values. For a list of supported values, make a GET /listings?listings=false&aggregates=details.basement1,details.basement2 request.

basement
cities
array of strings

An array of cities to be used as a filter for this search. Required, together with areas, if neither map nor locationIds is provided.

cities
class
array of strings

Indicates what class of property to search for.

Allowed values:

residential,condo,commercial

class
Allowed:
heating
array of strings

An array of heating values to be used as a filter for this search.

heating
keywords
array of strings
keywords
neighborhoods
array of strings

An array of neighborhoods to be used as a filter for this search. Optional. Does not replace the areas and cities requirement when map is not provided.

neighborhoods
string
enum

Sets the frequency that clients will be notified of listings that match their search criteria.

Allowed values:

instant, daily, weekly, monthly

Allowed:
json

An array of polygons arrays with arrays of longitude/latitude shapes to be used as a filter for this search. If used, only listings that area geographically located within these shapes will be matched. Required if neither locationIds nor both areas and cities are provided.

int32

The maximum amount of bathrooms to be used as a filter for this search.

int32
1 to 32767

The maximum amount of bedrooms to be used as a filter for this search.

int32
int32
1 to 32767

If specified, matches only listings whose parking space count is >= the supplied value.

int32

The maximum list price to be used as a filter for this search.

int32
int32
1 to 32767
int32
int32

The minimum amount of bathrooms to be used as a filter for this search.

int32
1 to 32767

The minimum amount of bedrooms to be used as a filter for this search.

int32
int32
1 to 32767

If specified, matches only listings whose garage space count is >= the supplied value.

int32
1 to 32767

If specified, matches only listings whose kitchen count is >= the supplied value.

int32

If supplied limits matches to listings where the maintenance fee is <= the supplied value.

int32

The minimum list price to be used as a filter for this search.

int32
int32
1 to 32767
int32
pets
array of strings

An array of pet policy values to be used as a filter for this search.

pets
boolean

If set to true, clients will receive price change notifications for listings that have been matched for them.

propertyTypes
array of strings

An array of property types to be used as a filter for this search.

propertyTypes
sewer
array of strings

An array of sewer values to be used as a filter for this search.

sewer
boolean
Defaults to true

If set to false, disables this search.

boolean

If set to true, clients will receive sold notifications for listings that have been matched for them.

streetNames
array of strings

An array of street names to be used as a filter for this search.

streetNames
streetNumbers
array of strings

An array of street numbers to be used as a filter for this search.

streetNumbers
styles
array of strings

An array of property styles to be used as a filter for this search.

styles
swimmingPool
array of strings

An array of swimming pool values to be used as a filter for this search.

swimmingPool
string
enum

Indicates whether the search is for a property that's for sale or for lease.

Allowed values:

sale,lease

Allowed:
waterSource
array of strings

An array of water source values to be used as a filter for this search.

waterSource
int32

The minimum lot size in square feet to be used as a filter for this search.

int32

The maximum lot size in square feet to be used as a filter for this search.

float

The minimum lot width to be used as a filter for this search. If specified, matches only listings whose lot width is >= the supplied value. Must be greater than 0 and cannot be greater than maxLotWidth. The unit of measurement is the same as the one the MLS board provides in its data.

float

The maximum lot width to be used as a filter for this search. If specified, matches only listings whose lot width is <= the supplied value. Must be greater than 0 and cannot be less than minLotWidth. The unit of measurement is the same as the one the MLS board provides in its data.

date

Indicates whether the search is for properties that have an Open House on or after the supplied date. Date format: YYYY-MM-DD

date

Indicates whether the search is for properties that have an Open House on or before the supplied date. Date format: YYYY-MM-DD. It's not recommended to use it unless you have a very good reason to set it.

standardStatus
array of strings

Indicates what Standard Status of property to search for.

Allowed values:

Active, Active Under Contract, Closed, Expired, Pending, Canceled, Incomplete

standardStatus
Allowed:
fields
object

An object of raw MLS field filters to be used for this search. Each key is a raw field name and each value is an array of possible values for that field. Raw field names must be prefixed with raw., for example raw.Room13level or raw.PropertyUse. Supports up to 50 fields and up to 50 values per field.

Only the fields supplied are updated. The values supplied for a field replace its existing values, and fields that are not supplied are left unchanged. Set a field to null to remove it, or set fields to null to remove all raw field filters.

Example: {"raw.Room13level": ["Main"]}

locationIds
array of strings

An array of locationIds (see GET /locations) to be used as a filter for this search. If provided, map, areas and cities are not required. Values must be alphanumeric. Duplicates are removed.

locationIds
int32

The agentId of the agent that the search is assigned to. Must be an agent in your account. When changing the agent, the search's client must be assigned to the new agent, otherwise a 400 error is returned.

Responses

404

No saved search with the supplied searchId exists in your account.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json